

<div class="list-wrapper mx-2 d-flex flex-column" style="height: calc(100% - 60px)">
    <div class="row justify-content-between mx-0 mx-md-2 my-3">
        <div class="col-8 col-md-5 col-lg-4 col-xl-3 faded" *ngIf="(service.loading | async) == false">
            <ng-content select="[content-type=search-filter]"></ng-content>
            <!-- <div class="input-group">
                <input type="text" class="form-control-line bg-transparent" placeholder="Buscar..." name="filter">
                <div class="input-group-append-line">
                    <div class="input-group-text pointer">
                        <i class="mdi mdi-filter-outline"></i>
                    </div>
                </div>
            </div> -->
        </div>
        <ng-container *ngIf="canAdd">
            <div class="col-4 text-right p-0 ml-auto">
                <button class="btn btn-info px-3" (click)="onAdd()" [disabled]="load" [class.not-allowed]="load">
                    <i class="mdi mdi-database-plus"></i>
                    &nbsp;Agregar
                </button>
            </div>
        </ng-container>
    </div>

    <div class="card card-table" style="flex: 1 1 0%; max-height: calc(100% - 65px);">
        <div class="card-header">
            <span class="card-title">
                <i [ngClass]="[titleIcon]"></i>
                {{titleList}}
            </span>
            <div class="table-action">
                <ng-content select="[content-type=topbar-action]"></ng-content>
                <button class="btn btn-icon mx-1" ngbTooltip="Imprimir Reporte" placement="bottom">
                    <i class="mdi mdi-file-document-edit"></i>
                </button>
                <button class="btn btn-icon refresh" (click)="onLoad()">
                    <i class="mdi mdi-cached"></i>
                </button>
            </div>
        </div>
        <div class="card-body scroll">
            <ng-content></ng-content>
            <!-- Table Loading -->
            <ngx-spinner name="LIST_SPINNER" bdColor="transparent" size="medium"
              type="ball-clip-rotate" [fullScreen]="false">
            </ngx-spinner>
        </div>
        <div class="card-footer justify-content-between" *ngIf="service.data.length > 0">
            <div class="page-count">
                <span class="label">Numero de registros:</span>
                <small class="value ml-1">{{ service.config.Pagination.TotalCount }}</small>
            </div>

            <div class="pagination">
                <app-pagination [(page)]="service.config.Pagination.Page" [limit]="service.config.Pagination.Limit" 
                    [total]="service.config.Pagination.TotalCount" (pageChange)="service.load()">
                </app-pagination>
            </div>

            <div class="page-rows">
                <span class="label">Filas &nbsp;</span>
                <select class="form-control" [(ngModel)]="service.config.Pagination.Limit"
                    (ngModelChange)="service.config.Pagination.Page = 1; service.load()">
                    <option *ngFor="let value of service.itemsPerPage;">{{ value }}</option>
                </select>
            </div>
        </div>
    </div>
</div>





